
Redmine - Patch #36716

IssuesControllerTest randomly fails

2022-02-28 14:51 - Vincent Robert

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.0.0   

Description

Hi

Please find below a patch to fix this test, which randomly fail when running in parallel:

+++ /test/functional/issues_controller_test.rb

@@ -7884,7 +7884,7 @@ class IssuesControllerTest < Redmine::ControllerTest

     end

     copy = Issue.order(:id => :desc).first

     assert_equal 2, copy.watchers.count

-    assert_equal [3, 10], copy.watcher_user_ids

+    assert_equal [3, 10], copy.watcher_user_ids.sort

   end

 Thank you

Associated revisions

Revision 21445 - 2022-03-03 14:55 - Go MAEDA

IssuesControllerTest randomly fails (#36716).

Patch by Vincent Robert.

History

#1 - 2022-03-03 14:55 - Go MAEDA

- Subject changed from Avoid tests to randomly fail when running in parallel to IssuesControllerTest randomly fails

- Category set to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version set to 5.0.0

Committed the patch. Thank you.
